Open SCAP Library

xccdf_warning_iterator Struct Reference
XCCDF

Warning iterator. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
Iterators
struct xccdf_warning * | xccdf_warning_iterator_next (struct xccdf_warning_iterator *it)
| Return the next xccdf_warning structure from the list and increment the iterator.
bool | xccdf_warning_iterator_has_more (struct xccdf_warning_iterator *it)
| Return true if the list is not empty, false otherwise.
void | xccdf_warning_iterator_free (struct xccdf_warning_iterator *it)
| Free the iterator structure (it makes no changes to the list structure)
void | xccdf_warning_iterator_reset (struct xccdf_warning_iterator *it)
| Reset the iterator structure (it makes no changes to the underlying list)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
void | xccdf_warning_iterator_remove (struct xccdf_warning_iterator *it)

## Detailed Description

Warning iterator.

See also
  oscap_iterator

The documentation for this struct was generated from the following file:

- xccdf_benchmark.h